Bug 692793 - CVE-2011-1425 xmlsec1: arbitrary file creation when verifying signatures [epel-6]
CVE-2011-1425 xmlsec1: arbitrary file creation when verifying signatures [epe...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: xmlsec1 (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-1425
  Show dependency treegraph
 
Reported: 2011-04-01 03:45 EDT by Tomas Hoger
Modified: 2014-06-14 16:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: xmlsec1-1.2.19-3.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-14 16:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2011-04-01 03:45:56 EDT
epel-6 tracking bug for xmlsec1: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]
Comment 1 Steven Haigh 2014-04-23 01:12:06 EDT
It looks like this is still vulnerable from 2011 and has never been updated.

Can anyone confirm that this is still a problem and has not been patched in the EPEL packages?
Comment 2 Tomas Hoger 2014-04-23 03:16:02 EDT
The latest built in epel-6 is xmlsec1-1.2.16-2.el6, from 2010, and pre-dates this bug report.
Comment 3 Fedora Update System 2014-05-29 12:47:35 EDT
xmlsec1-1.2.19-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xmlsec1-1.2.19-3.el6
Comment 4 Fedora Update System 2014-05-30 13:08:07 EDT
Package xmlsec1-1.2.19-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xmlsec1-1.2.19-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1536/xmlsec1-1.2.19-3.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-06-14 16:00:32 EDT
xmlsec1-1.2.19-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.